io.vertx.ext.web.api

## Class OperationResponse

- java.lang.Object
- - io.vertx.ext.web.api.OperationResponse

-     public class OperationResponse
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OperationResponse()`
    `OperationResponse(Integer statusCode, String statusMessage, Buffer payload, MultiMap headers)`
    `OperationResponse(JsonObject json)`
    `OperationResponse(OperationResponse other)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OperationResponse` | `completedWithJson(Buffer json)`
    `static OperationResponse` | `completedWithJson(JsonArray jsonArray)`
    `static OperationResponse` | `completedWithJson(JsonObject jsonObject)`
    `static OperationResponse` | `completedWithPlainText(Buffer text)`
    `MultiMap` | `getHeaders()`
    `Buffer` | `getPayload()`
    `Integer` | `getStatusCode()`
    `String` | `getStatusMessage()`
    `OperationResponse` | `putHeader(String key, String value)`
    `OperationResponse` | `setHeaders(MultiMap headers)`
    `OperationResponse` | `setPayload(Buffer payload)`
    `OperationResponse` | `setStatusCode(Integer statusCode)`
    `OperationResponse` | `setStatusMessage(String statusMessage)`
    `JsonObject` | `toJson()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OperationResponse

          public OperationResponse()

    - #### OperationResponse

          public OperationResponse(JsonObject json)

    - #### OperationResponse

          public OperationResponse(Integer statusCode,
                                   String statusMessage,
                                   Buffer payload,
                                   MultiMap headers)

    - #### OperationResponse

          public OperationResponse(OperationResponse other)

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

    - #### getStatusCode

          public Integer getStatusCode()

    - #### getStatusMessage

          public String getStatusMessage()

    - #### getPayload

          public Buffer getPayload()

    - #### getHeaders

          public MultiMap getHeaders()

    - #### setHeaders

          public OperationResponse setHeaders(MultiMap headers)

    - #### setStatusCode

          public OperationResponse setStatusCode(Integer statusCode)

    - #### setStatusMessage

          public OperationResponse setStatusMessage(String statusMessage)

    - #### setPayload

          public OperationResponse setPayload(Buffer payload)

    - #### putHeader

          public OperationResponse putHeader(String key,
                                             String value)

    - #### completedWithJson

          public static OperationResponse completedWithJson(JsonObject jsonObject)

    - #### completedWithJson

          public static OperationResponse completedWithJson(JsonArray jsonArray)

    - #### completedWithJson

          public static OperationResponse completedWithJson(Buffer json)

    - #### completedWithPlainText

          public static OperationResponse completedWithPlainText(Buffer text)

Copyright © 2018 Eclipse. All rights reserved.